package nl.bartpelle.veteres.content.areas.edgeville.pvpworld

import co.paralleluniverse.fibers.Suspendable
import nl.bartpelle.skript.ScriptMain
import nl.bartpelle.veteres.fs.MapDefinition
import nl.bartpelle.veteres.model.Tile
import nl.bartpelle.veteres.model.World
import nl.bartpelle.veteres.model.map.MapObj
import nl.bartpelle.veteres.script.ScriptRepository

/**
 * Created by Situations on 1/4/2016.
 */

object EdgevilleLandscape {

    @JvmStatic @ScriptMain fun register(r: ScriptRepository) {
        r.onWorldInit @Suspendable {
            val world: World = it.ctx<World>()
            it.delay(1)

            //edgeville misc
            world.removeObj(MapObj(Tile(3077, 3503), 29005, 10, 2))
            world.removeObj(MapObj(Tile(3084, 3502), 884, 10, 1))
            world.removeObj(MapObj(Tile(3084, 3502), 2771, 22, 0))
            world.removeObj(MapObj(Tile(3076, 3516), 1276, 11, 0))
            world.removeObj(MapObj(Tile(3082, 3516), 1276, 11, 0))
            world.removeObj(MapObj(Tile(3090, 3516), 1278, 11, 0))
            world.removeObj(MapObj(Tile(3097, 3516), 1276, 10, 0))
            world.removeObj(MapObj(Tile(3103, 3511), 1276, 11, 0))
            world.removeObj(MapObj(Tile(3090, 3503), 1276, 10, 0))
            world.removeObj(MapObj(Tile(3095, 3502), 27269, 0, 1))
            world.removeObj(MapObj(Tile(3096, 3504), 673, 22, 0))
            world.removeObj(MapObj(Tile(3121, 3517), 23590, 10, 0))

            //edgeville general store
            world.removeObj(MapObj(Tile(3075, 3508), 1823, 5, 2))
            world.removeObj(MapObj(Tile(3075, 3509), 1259, 22, 0))
            world.removeObj(MapObj(Tile(3075, 3510), 1258, 22, 3))
            world.removeObj(MapObj(Tile(3076, 3507), 196, 7, 1))
            world.removeObj(MapObj(Tile(3076, 3508), 1823, 4, 0))
            world.removeObj(MapObj(Tile(3076, 3509), 1017, 10, 0))
            world.removeObj(MapObj(Tile(3076, 3510), 1016, 10, 0))
            world.removeObj(MapObj(Tile(3076, 3511), 1015, 10, 0))
            world.removeObj(MapObj(Tile(3076, 3512), 1016, 10, 0))
            world.removeObj(MapObj(Tile(3076, 3513), 196, 7, 2))
            world.removeObj(MapObj(Tile(3077, 3507), 381, 10, 3))
            world.removeObj(MapObj(Tile(3077, 3511), 917, 22, 3))
            world.removeObj(MapObj(Tile(3077, 3512), 917, 22, 0))
            world.removeObj(MapObj(Tile(3077, 3512), 17390, 10, 1))
            world.removeObj(MapObj(Tile(3077, 3513), 1018, 10, 1))
            world.removeObj(MapObj(Tile(3078, 3506), 1823, 5, 1))
            world.removeObj(MapObj(Tile(3078, 3507), 1823, 4, 3))
            world.removeObj(MapObj(Tile(3078, 3510), 595, 10, 0))
            world.removeObj(MapObj(Tile(3078, 3511), 918, 22, 2))
            world.removeObj(MapObj(Tile(3078, 3512), 918, 22, 0))
            world.removeObj(MapObj(Tile(3078, 3513), 1017, 10, 1))
            world.removeObj(MapObj(Tile(3079, 3506), 205, 5, 1))
            world.removeObj(MapObj(Tile(3079, 3507), 381, 10, 3))
            world.removeObj(MapObj(Tile(3079, 3511), 918, 22, 2))
            world.removeObj(MapObj(Tile(3079, 3512), 918, 22, 0))
            world.removeObj(MapObj(Tile(3079, 3513), 1018, 10, 1))
            world.removeObj(MapObj(Tile(3079, 3514), 1259, 22, 3))
            world.removeObj(MapObj(Tile(3080, 3507), 916, 22, 2))
            world.removeObj(MapObj(Tile(3080, 3507), 1536, 0, 2))
            world.removeObj(MapObj(Tile(3080, 3509), 2733, 22, 0))
            world.removeObj(MapObj(Tile(3080, 3510), 356, 10, 0))
            world.removeObj(MapObj(Tile(3080, 3511), 918, 22, 2))
            world.removeObj(MapObj(Tile(3080, 3512), 918, 22, 0))
            world.removeObj(MapObj(Tile(3080, 3513), 1016, 10, 1))
            world.removeObj(MapObj(Tile(3080, 3514), 1258, 22, 0))
            world.removeObj(MapObj(Tile(3081, 3507), 196, 4, 3))
            world.removeObj(MapObj(Tile(3081, 3510), 595, 10, 0))
            world.removeObj(MapObj(Tile(3081, 3511), 918, 22, 2))
            world.removeObj(MapObj(Tile(3081, 3512), 918, 22, 0))
            world.removeObj(MapObj(Tile(3081, 3513), 887, 4, 1))
            world.removeObj(MapObj(Tile(3081, 3514), 1259, 22, 0))
            world.removeObj(MapObj(Tile(3082, 3506), 1258, 22, 2))
            world.removeObj(MapObj(Tile(3082, 3506), 1823, 5, 1))
            world.removeObj(MapObj(Tile(3082, 3507), 1823, 4, 3))
            world.removeObj(MapObj(Tile(3082, 3511), 918, 22, 2))
            world.removeObj(MapObj(Tile(3082, 3512), 918, 22, 0))
            world.removeObj(MapObj(Tile(3082, 3513), 196, 4, 1))
            world.removeObj(MapObj(Tile(3083, 3506), 1258, 22, 1))
            world.removeObj(MapObj(Tile(3083, 3507), 374, 10, 2))
            world.removeObj(MapObj(Tile(3083, 3511), 917, 22, 2))
            world.removeObj(MapObj(Tile(3083, 3512), 917, 22, 1))
            world.removeObj(MapObj(Tile(3083, 3513), 16683, 10, 2))
            world.removeObj(MapObj(Tile(3084, 3507), 196, 7, 0))
            world.removeObj(MapObj(Tile(3084, 3508), 1823, 4, 2))
            world.removeObj(MapObj(Tile(3084, 3509), 358, 10, 2))
            world.removeObj(MapObj(Tile(3084, 3509), 887, 4, 2))
            world.removeObj(MapObj(Tile(3084, 3510), 358, 10, 2))
            world.removeObj(MapObj(Tile(3084, 3510), 1023, 4, 2))
            world.removeObj(MapObj(Tile(3084, 3511), 1023, 4, 2))
            world.removeObj(MapObj(Tile(3084, 3512), 357, 10, 1))
            world.removeObj(MapObj(Tile(3084, 3512), 1023, 4, 2))
            world.removeObj(MapObj(Tile(3084, 3513), 196, 7, 3))
            world.removeObj(MapObj(Tile(3085, 3508), 1823, 5, 0))
            world.removeObj(MapObj(Tile(3085, 3509), 1258, 22, 1))
            world.removeObj(MapObj(Tile(3085, 3510), 1259, 22, 0))
            world.removeObj(MapObj(Tile(3085, 3511), 1258, 22, 2))

            //edgeville general store (custom wall removals)
            world.removeObj(MapObj(Tile(3085, 3509), 1902, 0, 0))
            world.removeObj(MapObj(Tile(3085, 3510), 1902, 0, 0))
            world.removeObj(MapObj(Tile(3085, 3511), 1902, 0, 0))

            //edgeville house north of bank
            world.removeObj(MapObj(Tile(3090, 3508), 1838, 5, 2))
            world.removeObj(MapObj(Tile(3090, 3512), 1838, 5, 2))
            world.removeObj(MapObj(Tile(3091, 3507), 362, 10, 2))
            world.removeObj(MapObj(Tile(3091, 3508), 362, 10, 3))
            world.removeObj(MapObj(Tile(3091, 3508), 1838, 4, 0))
            world.removeObj(MapObj(Tile(3091, 3510), 298, 10, 1))
            world.removeObj(MapObj(Tile(3091, 3512), 1838, 4, 0))
            world.removeObj(MapObj(Tile(3091, 3513), 362, 10, 3))
            world.removeObj(MapObj(Tile(3091, 3514), 1258, 22, 3))
            world.removeObj(MapObj(Tile(3092, 3506), 1844, 5, 1))
            world.removeObj(MapObj(Tile(3092, 3507), 1844, 4, 3))
            world.removeObj(MapObj(Tile(3092, 3513), 362, 10, 0))
            world.removeObj(MapObj(Tile(3092, 3513), 1838, 4, 1))
            world.removeObj(MapObj(Tile(3092, 3514), 1838, 5, 3))
            world.removeObj(MapObj(Tile(3093, 3507), 296, 10, 2))
            world.removeObj(MapObj(Tile(3093, 3509), 300, 10, 1))
            world.removeObj(MapObj(Tile(3093, 3513), 1016, 10, 1))
            world.removeObj(MapObj(Tile(3094, 3506), 1258, 22, 1))
            world.removeObj(MapObj(Tile(3094, 3511), 1263, 22, 3))
            world.removeObj(MapObj(Tile(3094, 3513), 299, 10, 0))
            world.removeObj(MapObj(Tile(3094, 3514), 1258, 22, 0))
            world.removeObj(MapObj(Tile(3095, 3506), 1259, 22, 2))
            world.removeObj(MapObj(Tile(3095, 3510), 1262, 22, 0))
            world.removeObj(MapObj(Tile(3095, 3514), 1258, 22, 0))
            world.removeObj(MapObj(Tile(3096, 3506), 1259, 22, 1))
            world.removeObj(MapObj(Tile(3096, 3507), 1017, 10, 3))
            world.removeObj(MapObj(Tile(3096, 3511), 16683, 10, 3))
            world.removeObj(MapObj(Tile(3096, 3513), 1015, 10, 1))
            world.removeObj(MapObj(Tile(3097, 3506), 1258, 22, 3))
            world.removeObj(MapObj(Tile(3097, 3507), 1018, 10, 3))
            world.removeObj(MapObj(Tile(3097, 3510), 1263, 22, 0))
            world.removeObj(MapObj(Tile(3097, 3513), 1016, 10, 1))
            world.removeObj(MapObj(Tile(3097, 3513), 1262, 22, 1))
            world.removeObj(MapObj(Tile(3098, 3506), 1258, 22, 2))
            world.removeObj(MapObj(Tile(3098, 3507), 1016, 10, 3))
            world.removeObj(MapObj(Tile(3098, 3508), 1262, 22, 1))
            world.removeObj(MapObj(Tile(3098, 3513), 356, 10, 3))
            world.removeObj(MapObj(Tile(3099, 3506), 1259, 22, 1))
            world.removeObj(MapObj(Tile(3099, 3506), 1838, 5, 1))
            world.removeObj(MapObj(Tile(3099, 3507), 356, 10, 0))
            world.removeObj(MapObj(Tile(3099, 3507), 1838, 4, 3))
            world.removeObj(MapObj(Tile(3099, 3511), 1262, 22, 2))
            world.removeObj(MapObj(Tile(3099, 3512), 357, 10, 2))
            world.removeObj(MapObj(Tile(3099, 3513), 357, 10, 3))
            world.removeObj(MapObj(Tile(3099, 3513), 1844, 4, 1))
            world.removeObj(MapObj(Tile(3099, 3514), 1844, 5, 3))
            world.removeObj(MapObj(Tile(3100, 3506), 1259, 22, 2))
            world.removeObj(MapObj(Tile(3100, 3507), 358, 10, 3))
            world.removeObj(MapObj(Tile(3100, 3508), 356, 10, 3))
            world.removeObj(MapObj(Tile(3100, 3508), 1838, 4, 2))
            world.removeObj(MapObj(Tile(3100, 3512), 357, 10, 1))
            world.removeObj(MapObj(Tile(3100, 3512), 1838, 4, 2))
            world.removeObj(MapObj(Tile(3100, 3513), 358, 10, 3))
            world.removeObj(MapObj(Tile(3101, 3506), 1259, 22, 1))
            world.removeObj(MapObj(Tile(3101, 3507), 1259, 22, 0))
            world.removeObj(MapObj(Tile(3101, 3508), 1838, 5, 0))
            world.removeObj(MapObj(Tile(3101, 3509), 1521, 0, 0))
            world.removeObj(MapObj(Tile(3101, 3510), 1524, 0, 0))
            world.removeObj(MapObj(Tile(3101, 3511), 205, 5, 0))
            world.removeObj(MapObj(Tile(3101, 3511), 1259, 22, 0))
            world.removeObj(MapObj(Tile(3101, 3512), 1259, 22, 3))
            world.removeObj(MapObj(Tile(3101, 3512), 1838, 5, 0))
            world.removeObj(MapObj(Tile(3101, 3513), 1258, 22, 1))

            //edgeville house north of bank (custom wall removals)
            world.removeObj(MapObj(Tile(3090, 3511), 1902, 0, 2))
            world.removeObj(MapObj(Tile(3090, 3510), 1902, 0, 2))
            world.removeObj(MapObj(Tile(3090, 3509), 1902, 0, 2))
            world.removeObj(MapObj(Tile(3094, 3506), 1902, 0, 1))
            world.removeObj(MapObj(Tile(3095, 3506), 1902, 0, 1))
            world.removeObj(MapObj(Tile(3096, 3506), 1902, 0, 1))
            world.removeObj(MapObj(Tile(3097, 3506), 1902, 0, 1))
            world.removeObj(MapObj(Tile(3094, 3514), 1902, 0, 3))
            world.removeObj(MapObj(Tile(3095, 3514), 1902, 0, 3))
            world.removeObj(MapObj(Tile(3096, 3514), 1902, 0, 3))
            world.removeObj(MapObj(Tile(3097, 3514), 1902, 0, 3))

            world.removeObj(MapObj(Tile(3088, 3509), 307, 10, 0))
            world.removeObj(MapObj(Tile(3111, 3495, 0), 1257, 22, 2))
            world.removeObj(MapObj(Tile(3106, 3495, 0), 1259, 22, 1))
            world.removeObj(MapObj(Tile(3107, 3495, 0), 1259, 22, 1))
            world.removeObj(MapObj(Tile(3109, 3495, 0), 1259, 22, 1))
            world.removeObj(MapObj(Tile(3111, 3496, 0), 1259, 22, 0))
            world.removeObj(MapObj(Tile(3111, 3498, 0), 1259, 22, 0))
            world.removeObj(MapObj(Tile(3111, 3500, 0), 1299, 10, 2))
            world.removeObj(MapObj(Tile(3105, 3500, 0), 2275, 22, 2))
            world.removeObj(MapObj(Tile(3105, 3501, 0), 2275, 22, 2))
            world.removeObj(MapObj(Tile(3106, 3500, 0), 2275, 22, 2))
            world.removeObj(MapObj(Tile(3108, 3498, 0), 2275, 22, 2))
            world.removeObj(MapObj(Tile(3108, 3499, 0), 2275, 22, 2))
            world.removeObj(MapObj(Tile(3109, 3498, 0), 2275, 22, 2))
            world.removeObj(MapObj(Tile(3108, 3497, 0), 2276, 22, 2))
            world.removeObj(MapObj(Tile(3109, 3497, 0), 2276, 22, 2))
            world.removeObj(MapObj(Tile(3105, 3496, 0), 2277, 22, 2))
            world.removeObj(MapObj(Tile(3107, 3499, 0), 2277, 22, 2))
            world.removeObj(MapObj(Tile(3108, 3500, 0), 2277, 22, 2))
            world.removeObj(MapObj(Tile(3109, 3501, 0), 2277, 22, 2))
            world.removeObj(MapObj(Tile(3105, 3498, 0), 2278, 22, 2))
            world.removeObj(MapObj(Tile(3106, 3497, 0), 2278, 22, 2))
            world.removeObj(MapObj(Tile(3106, 3499, 0), 2278, 22, 2))
            world.removeObj(MapObj(Tile(3109, 3499, 0), 2742, 22, 1))
            world.removeObj(MapObj(Tile(3110, 3499, 1), 5098, 10, 0))
            world.removeObj(MapObj(Tile(3106, 3496, 0), 6809, 22, 2))
            world.removeObj(MapObj(Tile(3106, 3497, 1), 12707, 22, 0))
            world.removeObj(MapObj(Tile(3106, 3500, 1), 12707, 22, 1))
            world.removeObj(MapObj(Tile(3107, 3499, 1), 12707, 22, 3))
            world.removeObj(MapObj(Tile(3109, 3497, 1), 12707, 22, 3))
            world.removeObj(MapObj(Tile(3109, 3500, 1), 12707, 22, 2))
            world.removeObj(MapObj(Tile(3107, 3498, 1), 12708, 22, 3))
            world.removeObj(MapObj(Tile(3108, 3499, 1), 12708, 22, 3))
            world.removeObj(MapObj(Tile(3109, 3498, 1), 12708, 22, 0))
            world.removeObj(MapObj(Tile(3110, 3499, 0), 16469, 10, 2))
            world.removeObj(MapObj(Tile(3108, 3496, 0), 16470, 10, 2))
            world.removeObj(MapObj(Tile(3110, 3500, 0), 16471, 10, 1))
            world.removeObj(MapObj(Tile(3105, 3496, 0), 16472, 10, 2))
            world.removeObj(MapObj(Tile(3106, 3498, 0), 16473, 10, 2))
            world.removeObj(MapObj(Tile(3106, 3501, 0), 16473, 10, 3))
            world.removeObj(MapObj(Tile(3107, 3496, 0), 16473, 10, 2))
            world.removeObj(MapObj(Tile(3105, 3501, 0), 16474, 10, 2))
            world.removeObj(MapObj(Tile(3109, 3500, 0), 16474, 10, 2))
            world.removeObj(MapObj(Tile(3110, 3496, 0), 16474, 11, 3))
            world.removeObj(MapObj(Tile(3110, 3498, 0), 16475, 10, 2))
            world.removeObj(MapObj(Tile(3109, 3496, 0), 16476, 5, 3))
            world.removeObj(MapObj(Tile(3110, 3497, 0), 16512, 5, 2))
            world.removeObj(MapObj(Tile(3105, 3496, 0), 23748, 2, 3))
            world.removeObj(MapObj(Tile(3105, 3497, 0), 23748, 0, 0))
            world.removeObj(MapObj(Tile(3105, 3501, 0), 23748, 2, 0))
            world.removeObj(MapObj(Tile(3106, 3496, 0), 23748, 0, 3))
            world.removeObj(MapObj(Tile(3106, 3501, 0), 23748, 0, 1))
            world.removeObj(MapObj(Tile(3107, 3496, 0), 23748, 0, 3))
            world.removeObj(MapObj(Tile(3108, 3496, 0), 23748, 0, 3))
            world.removeObj(MapObj(Tile(3109, 3496, 0), 23748, 0, 3))
            world.removeObj(MapObj(Tile(3110, 3496, 0), 23748, 2, 2))
            world.removeObj(MapObj(Tile(3110, 3497, 0), 23748, 0, 2))
            world.removeObj(MapObj(Tile(3110, 3498, 0), 23748, 0, 2))
            world.removeObj(MapObj(Tile(3110, 3499, 0), 23748, 0, 2))
            world.removeObj(MapObj(Tile(3110, 3500, 0), 23748, 0, 2))
            world.removeObj(MapObj(Tile(3110, 3501, 0), 23748, 2, 1))
            world.removeObj(MapObj(Tile(3105, 3500, 0), 23750, 0, 0))
            world.removeObj(MapObj(Tile(3109, 3501, 0), 23750, 0, 1))
            world.removeObj(MapObj(Tile(3105, 3498, 0), 23751, 0, 0))
            world.removeObj(MapObj(Tile(3107, 3501, 0), 23751, 0, 1))
            world.removeObj(MapObj(Tile(3105, 3499, 0), 23752, 0, 0))
            world.removeObj(MapObj(Tile(3108, 3501, 0), 23752, 0, 1))
            world.removeObj(MapObj(Tile(3105, 3496, 1), 23753, 2, 3))
            world.removeObj(MapObj(Tile(3105, 3497, 1), 23753, 0, 0))
            world.removeObj(MapObj(Tile(3105, 3498, 1), 23753, 0, 0))
            world.removeObj(MapObj(Tile(3105, 3499, 1), 23753, 0, 0))
            world.removeObj(MapObj(Tile(3105, 3500, 1), 23753, 0, 0))
            world.removeObj(MapObj(Tile(3105, 3501, 1), 23753, 2, 0))
            world.removeObj(MapObj(Tile(3106, 3496, 1), 23753, 0, 3))
            world.removeObj(MapObj(Tile(3106, 3501, 1), 23753, 0, 1))
            world.removeObj(MapObj(Tile(3107, 3496, 1), 23753, 0, 3))
            world.removeObj(MapObj(Tile(3107, 3501, 1), 23753, 0, 1))
            world.removeObj(MapObj(Tile(3108, 3496, 1), 23753, 0, 3))
            world.removeObj(MapObj(Tile(3108, 3501, 1), 23753, 0, 1))
            world.removeObj(MapObj(Tile(3109, 3496, 1), 23753, 0, 3))
            world.removeObj(MapObj(Tile(3109, 3501, 1), 23753, 0, 1))
            world.removeObj(MapObj(Tile(3110, 3496, 1), 23753, 2, 2))
            world.removeObj(MapObj(Tile(3110, 3497, 1), 23753, 0, 2))
            world.removeObj(MapObj(Tile(3110, 3498, 1), 23753, 0, 2))
            world.removeObj(MapObj(Tile(3110, 3499, 1), 23753, 0, 2))
            world.removeObj(MapObj(Tile(3110, 3500, 1), 23753, 0, 2))
            world.removeObj(MapObj(Tile(3110, 3501, 1), 23753, 2, 1))

            //edgeville house west of bank (misc)
            world.removeObj(MapObj(Tile(3080, 3501, 0), 1558, 0, 3))
            world.removeObj(MapObj(Tile(3079, 3501, 0), 1560, 0, 3))
            world.removeObj(MapObj(Tile(3077, 3496, 0), 2772, 22, 0))
            world.removeObj(MapObj(Tile(3077, 3489, 0), 2771, 22, 0))

            //edgeville house west of bank (grass)
            world.removeObj(MapObj(Tile(3076, 3492, 0), 9489, 22, 2))
            world.removeObj(MapObj(Tile(3082, 3492, 0), 9489, 22, 0))
            world.removeObj(MapObj(Tile(3082, 3494, 0), 9489, 22, 0))
            world.removeObj(MapObj(Tile(3077, 3497, 0), 9489, 22, 3))
            world.removeObj(MapObj(Tile(3081, 3500, 0), 9488, 22, 2))
            world.removeObj(MapObj(Tile(3081, 3499, 0), 9487, 22, 2))
            world.removeObj(MapObj(Tile(3077, 3499, 0), 9487, 22, 2))
            world.removeObj(MapObj(Tile(3078, 3500, 0), 9487, 22, 1))
            world.removeObj(MapObj(Tile(3077, 3500, 0), 9488, 22, 3))
            world.removeObj(MapObj(Tile(3078, 3499, 0), 9485, 22, 0))
            world.removeObj(MapObj(Tile(3082, 3488, 0), 9491, 22, 2))
            world.removeObj(MapObj(Tile(3082, 3487, 0), 9492, 22, 3))
            world.removeObj(MapObj(Tile(3076, 3488, 0), 9488, 22, 3))
            world.removeObj(MapObj(Tile(3076, 3487, 0), 9488, 22, 0))
            world.removeObj(MapObj(Tile(3080, 3497, 0), 9489, 22, 3))
            world.removeObj(MapObj(Tile(3077, 3498, 0), 9485, 22, 3))
            world.removeObj(MapObj(Tile(3081, 3498, 0), 9485, 22, 1))
            world.removeObj(MapObj(Tile(3081, 3487, 0), 9491, 22, 3))

            //edgeville house west of bank (1st floor)
            world.removeObj(MapObj(Tile(3076, 3488), 12278, 3, 1))
            world.removeObj(MapObj(Tile(3076, 3489), 12278, 0, 2))
            world.removeObj(MapObj(Tile(3076, 3490), 12278, 0, 2))
            world.removeObj(MapObj(Tile(3076, 3491), 12278, 0, 2))
            world.removeObj(MapObj(Tile(3076, 3492), 12278, 0, 2))
            world.removeObj(MapObj(Tile(3076, 3493), 12278, 0, 2))
            world.removeObj(MapObj(Tile(3076, 3494), 12278, 0, 2))
            world.removeObj(MapObj(Tile(3076, 3495), 1838, 5, 2))
            world.removeObj(MapObj(Tile(3076, 3495), 12278, 0, 2))
            world.removeObj(MapObj(Tile(3076, 3496), 12278, 0, 2))
            world.removeObj(MapObj(Tile(3076, 3497), 12278, 3, 2))
            world.removeObj(MapObj(Tile(3077, 3488), 12278, 0, 1))
            world.removeObj(MapObj(Tile(3077, 3489), 12279, 10, 2))
            world.removeObj(MapObj(Tile(3077, 3491), 12291, 4, 0))
            world.removeObj(MapObj(Tile(3077, 3493), 12266, 22, 3))
            world.removeObj(MapObj(Tile(3077, 3495), 1838, 4, 0))
            world.removeObj(MapObj(Tile(3077, 3495, 0), 12269, 10, 0))
            world.removeObj(MapObj(Tile(3077, 3497, 0), 12278, 0, 3))
            world.removeObj(MapObj(Tile(3078, 3488, 0), 12278, 0, 1))
            world.removeObj(MapObj(Tile(3078, 3489, 0), 5610, 10, 0))
            world.removeObj(MapObj(Tile(3078, 3489, 0), 12292, 4, 3))
            world.removeObj(MapObj(Tile(3078, 3491, 0), 917, 22, 3))
            world.removeObj(MapObj(Tile(3078, 3492, 0), 918, 22, 3))
            world.removeObj(MapObj(Tile(3078, 3493, 0), 918, 22, 3))
            world.removeObj(MapObj(Tile(3078, 3494, 0), 917, 22, 0))
            world.removeObj(MapObj(Tile(3078, 3496, 0), 1838, 4, 1))
            world.removeObj(MapObj(Tile(3078, 3497, 0), 1838, 5, 3))
            world.removeObj(MapObj(Tile(3078, 3497, 0), 12278, 0, 3))
            world.removeObj(MapObj(Tile(3079, 3488, 0), 1838, 5, 1))
            world.removeObj(MapObj(Tile(3079, 3488, 0), 12278, 0, 1))
            world.removeObj(MapObj(Tile(3079, 3489, 0), 1838, 4, 3))
            world.removeObj(MapObj(Tile(3079, 3491, 0), 917, 22, 2))
            world.removeObj(MapObj(Tile(3079, 3492, 0), 918, 22, 1))
            world.removeObj(MapObj(Tile(3079, 3493, 0), 918, 22, 1))
            world.removeObj(MapObj(Tile(3079, 3494, 0), 917, 22, 1))
            world.removeObj(MapObj(Tile(3079, 3496, 0), 916, 22, 0))
            world.removeObj(MapObj(Tile(3079, 3497, 0), 1535, 0, 3))
            world.removeObj(MapObj(Tile(3080, 3488, 0), 12278, 0, 1))
            world.removeObj(MapObj(Tile(3080, 3489, 0), 5497, 10, 1))
            world.removeObj(MapObj(Tile(3080, 3493, 0), 5497, 10, 1))
            world.removeObj(MapObj(Tile(3080, 3496, 0), 1838, 4, 1))
            world.removeObj(MapObj(Tile(3080, 3497, 0), 1838, 5, 3))
            world.removeObj(MapObj(Tile(3080, 3497, 0), 12278, 0, 3))
            world.removeObj(MapObj(Tile(3081, 3488, 0), 12278, 0, 1))
            world.removeObj(MapObj(Tile(3081, 3490, 0), 12293, 10, 1))
            world.removeObj(MapObj(Tile(3081, 3491, 0), 1838, 4, 2))
            world.removeObj(MapObj(Tile(3081, 3492, 0), 12281, 10, 0))
            world.removeObj(MapObj(Tile(3081, 3494, 0), 12282, 10, 2))
            world.removeObj(MapObj(Tile(3081, 3495, 0), 1838, 4, 2))
            world.removeObj(MapObj(Tile(3081, 3497, 0), 12278, 0, 3))
            world.removeObj(MapObj(Tile(3082, 3488, 0), 12278, 3, 0))
            world.removeObj(MapObj(Tile(3082, 3489, 0), 12278, 0, 0))
            world.removeObj(MapObj(Tile(3082, 3490, 0), 12278, 0, 0))
            world.removeObj(MapObj(Tile(3082, 3491, 0), 1838, 5, 0))
            world.removeObj(MapObj(Tile(3082, 3491, 0), 12278, 0, 0))
            world.removeObj(MapObj(Tile(3082, 3492, 0), 12278, 0, 0))
            world.removeObj(MapObj(Tile(3082, 3493, 0), 12278, 0, 0))
            world.removeObj(MapObj(Tile(3082, 3494, 0), 12278, 0, 0))
            world.removeObj(MapObj(Tile(3082, 3495, 0), 1838, 5, 0))
            world.removeObj(MapObj(Tile(3082, 3495, 0), 12278, 0, 0))
            world.removeObj(MapObj(Tile(3082, 3496, 0), 12278, 0, 0))
            world.removeObj(MapObj(Tile(3082, 3497, 0), 12278, 3, 3))

            //edgeville house west of bank (2nd floor)
            world.removeObj(MapObj(Tile(3076, 3488, 1), 12289, 21, 2))
            world.removeObj(MapObj(Tile(3076, 3489, 1), 12287, 18, 2))
            world.removeObj(MapObj(Tile(3076, 3490, 1), 12287, 18, 2))
            world.removeObj(MapObj(Tile(3076, 3491, 1), 12287, 18, 2))
            world.removeObj(MapObj(Tile(3076, 3492, 1), 12287, 18, 2))
            world.removeObj(MapObj(Tile(3076, 3493, 1), 12287, 18, 2))
            world.removeObj(MapObj(Tile(3076, 3494, 1), 12287, 18, 2))
            world.removeObj(MapObj(Tile(3076, 3495, 1), 12287, 18, 2))
            world.removeObj(MapObj(Tile(3076, 3496, 1), 12287, 18, 2))
            world.removeObj(MapObj(Tile(3076, 3497, 1), 12288, 21, 2))
            world.removeObj(MapObj(Tile(3077, 3488, 1), 12285, 18, 1))
            world.removeObj(MapObj(Tile(3077, 3489, 1), 12283, 12, 2))
            world.removeObj(MapObj(Tile(3077, 3490, 1), 12283, 12, 2))
            world.removeObj(MapObj(Tile(3077, 3491, 1), 12283, 12, 2))
            world.removeObj(MapObj(Tile(3077, 3492, 1), 12283, 12, 2))
            world.removeObj(MapObj(Tile(3077, 3493, 1), 12283, 12, 2))
            world.removeObj(MapObj(Tile(3077, 3494, 1), 12283, 12, 2))
            world.removeObj(MapObj(Tile(3077, 3495, 1), 12283, 12, 2))
            world.removeObj(MapObj(Tile(3077, 3496, 1), 12283, 12, 2))
            world.removeObj(MapObj(Tile(3077, 3497, 1), 12283, 18, 3))
            world.removeObj(MapObj(Tile(3078, 3488, 1), 12286, 18, 1))
            world.removeObj(MapObj(Tile(3078, 3489, 1), 12284, 12, 2))
            world.removeObj(MapObj(Tile(3078, 3490, 1), 12284, 12, 2))
            world.removeObj(MapObj(Tile(3078, 3491, 1), 12284, 12, 2))
            world.removeObj(MapObj(Tile(3078, 3492, 1), 12284, 12, 2))
            world.removeObj(MapObj(Tile(3078, 3493, 1), 12284, 12, 2))
            world.removeObj(MapObj(Tile(3078, 3494, 1), 12284, 12, 2))
            world.removeObj(MapObj(Tile(3078, 3495, 1), 12284, 12, 2))
            world.removeObj(MapObj(Tile(3078, 3496, 1), 12284, 12, 2))
            world.removeObj(MapObj(Tile(3078, 3497, 1), 12284, 18, 3))
            world.removeObj(MapObj(Tile(3079, 3488, 1), 12290, 18, 1))
            world.removeObj(MapObj(Tile(3079, 3489, 1), 12284, 17, 2))
            world.removeObj(MapObj(Tile(3079, 3490, 1), 12284, 17, 2))
            world.removeObj(MapObj(Tile(3079, 3491, 1), 12284, 17, 2))
            world.removeObj(MapObj(Tile(3079, 3492, 1), 12284, 17, 2))
            world.removeObj(MapObj(Tile(3079, 3493, 1), 12284, 17, 2))
            world.removeObj(MapObj(Tile(3079, 3494, 1), 12284, 17, 2))
            world.removeObj(MapObj(Tile(3079, 3495, 1), 12284, 17, 2))
            world.removeObj(MapObj(Tile(3079, 3496, 1), 12284, 17, 2))
            world.removeObj(MapObj(Tile(3079, 3497, 1), 12290, 18, 3))
            world.removeObj(MapObj(Tile(3080, 3488, 1), 12284, 18, 1))
            world.removeObj(MapObj(Tile(3080, 3489, 1), 12284, 12, 0))
            world.removeObj(MapObj(Tile(3080, 3490, 1), 12284, 12, 0))
            world.removeObj(MapObj(Tile(3080, 3491, 1), 12284, 12, 0))
            world.removeObj(MapObj(Tile(3080, 3492, 1), 12284, 12, 0))
            world.removeObj(MapObj(Tile(3080, 3493, 1), 12284, 12, 0))
            world.removeObj(MapObj(Tile(3080, 3494, 1), 12284, 12, 0))
            world.removeObj(MapObj(Tile(3080, 3495, 1), 12284, 12, 0))
            world.removeObj(MapObj(Tile(3080, 3496, 1), 12284, 12, 0))
            world.removeObj(MapObj(Tile(3080, 3497, 1), 12286, 18, 3))
            world.removeObj(MapObj(Tile(3081, 3488, 1), 12283, 18, 1))
            world.removeObj(MapObj(Tile(3081, 3489, 1), 12283, 12, 0))
            world.removeObj(MapObj(Tile(3081, 3490, 1), 12283, 12, 0))
            world.removeObj(MapObj(Tile(3081, 3491, 1), 12283, 12, 0))
            world.removeObj(MapObj(Tile(3081, 3492, 1), 12283, 12, 0))
            world.removeObj(MapObj(Tile(3081, 3493, 1), 12283, 12, 0))
            world.removeObj(MapObj(Tile(3081, 3494, 1), 12283, 12, 0))
            world.removeObj(MapObj(Tile(3081, 3495, 1), 12283, 12, 0))
            world.removeObj(MapObj(Tile(3081, 3496, 1), 12283, 12, 0))
            world.removeObj(MapObj(Tile(3081, 3497, 1), 12285, 18, 3))
            world.removeObj(MapObj(Tile(3082, 3488, 1), 12288, 21, 0))
            world.removeObj(MapObj(Tile(3082, 3489, 1), 12287, 18, 0))
            world.removeObj(MapObj(Tile(3082, 3490, 1), 12287, 18, 0))
            world.removeObj(MapObj(Tile(3082, 3491, 1), 12287, 18, 0))
            world.removeObj(MapObj(Tile(3082, 3492, 1), 12287, 18, 0))
            world.removeObj(MapObj(Tile(3082, 3493, 1), 12287, 18, 0))
            world.removeObj(MapObj(Tile(3082, 3494, 1), 12287, 18, 0))
            world.removeObj(MapObj(Tile(3082, 3495, 1), 12287, 18, 0))
            world.removeObj(MapObj(Tile(3082, 3496, 1), 12287, 18, 0))
            world.removeObj(MapObj(Tile(3082, 3497, 1), 12289, 21, 0))
            world.removeObj(MapObj(Tile(3082, 3487, 1), 979, 22, 3))
            world.removeObj(MapObj(Tile(3081, 3501), 979, 0, 3))
            world.removeObj(MapObj(Tile(3082, 3501), 979, 1, 3))
            world.removeObj(MapObj(Tile(3082, 3500), 979, 0, 0))
            world.removeObj(MapObj(Tile(3082, 3499), 979, 0, 0))
            world.removeObj(MapObj(Tile(3082, 3498), 979, 9, 3))
            world.removeObj(MapObj(Tile(3083, 3498), 979, 1, 3))
            world.removeObj(MapObj(Tile(3078, 3487), 979, 0, 3))
            world.removeObj(MapObj(Tile(3077, 3487), 979, 0, 3))
            world.removeObj(MapObj(Tile(3079, 3498), 4339, 22, 0))
            world.removeObj(MapObj(Tile(3079, 3497), 4339, 22, 0))
            world.removeObj(MapObj(Tile(3080, 3500), 4339, 22, 0))
            world.removeObj(MapObj(Tile(3079, 3499), 4339, 22, 0))
            world.removeObj(MapObj(Tile(3079, 3500), 4339, 22, 0))
            world.removeObj(MapObj(Tile(3079, 3501), 4339, 22, 0))
            world.removeObj(MapObj(Tile(3076, 3498), 979, 9, 2))
            world.removeObj(MapObj(Tile(3076, 3499), 979, 0, 2))
            world.removeObj(MapObj(Tile(3076, 3500), 979, 0, 2))
            world.removeObj(MapObj(Tile(3076, 3501), 979, 1, 2))
            world.removeObj(MapObj(Tile(3077, 3501), 979, 0, 3))
            world.removeObj(MapObj(Tile(3078, 3501), 979, 0, 3))
            world.removeObj(MapObj(Tile(3083, 3492), 979, 0, 0))
            world.removeObj(MapObj(Tile(3083, 3493), 979, 0, 0))
            world.removeObj(MapObj(Tile(3083, 3494), 979, 0, 0))
            world.removeObj(MapObj(Tile(3083, 3491), 979, 0, 0))
            world.removeObj(MapObj(Tile(3083, 3495), 979, 0, 0))
            world.removeObj(MapObj(Tile(3083, 3490), 979, 0, 0))

            world.spawnObj(MapObj(Tile(3285, 9442), 6045, 10, 0))
            world.spawnObj(MapObj(Tile(3091, 3487), 864, 10, 0))
            world.spawnObj(MapObj(Tile(3098, 3487), 864, 10, 0))
            world.spawnObj(MapObj(Tile(3099, 3514), 4483, 10, 0))
            world.spawnObj(MapObj(Tile(3092, 3514), 4483, 10, 0))
            world.spawnObj(MapObj(Tile(3080, 3506), 1902, 0, 1))
            world.spawnObj(MapObj(Tile(3090, 3509), 11508, 0, 2), false)
            world.spawnObj(MapObj(Tile(3090, 3511), 11509, 0, 2), false)
            for (y in 3507..3513)
                world.spawnObj(MapObj(Tile(3077, y), 24401, 0, 2))
            world.spawnObj(MapObj(Tile(3083, 3507), 31379, 11, 0))
            //world.spawnObj(MapObj(Tile(3079, 3507), 29226, 10, 3))
            world.spawnObj(MapObj(Tile(3083, 3512), 26714, 11, 0))
            world.spawnObj(MapObj(Tile(3080, 3513), 3624, 10, 0))
            world.spawnObj(MapObj(Tile(3101, 3509), 1902, 0, 0))
            world.spawnObj(MapObj(Tile(3101, 3510), 1902, 0, 0))
            world.spawnObj(MapObj(Tile(3085, 3511), 11508, 0, 0), false)
            world.spawnObj(MapObj(Tile(3085, 3509), 11509, 0, 0), false)
            world.spawnObj(MapObj(Tile(3094, 3506), 11509, 0, 1), false)
            world.spawnObj(MapObj(Tile(3097, 3506), 11508, 0, 1), false)
            world.spawnObj(MapObj(Tile(3098, 3507), 25732, 10, 3))
            world.spawnObj(MapObj(Tile(3093, 3507), 25732, 10, 3))
            world.spawnObj(MapObj(Tile(3094, 3514), 11508, 0, 3), false)
            world.spawnObj(MapObj(Tile(3097, 3514), 11509, 0, 3), false)
            world.spawnObj(MapObj(Tile(3095, 3513), 31380, 10, 0))
            world.spawnObj(MapObj(Tile(3098, 3513), 25732, 10, 1))
            world.spawnObj(MapObj(Tile(3093, 3513), 25732, 10, 1))
            world.spawnObj(MapObj(Tile(3100, 3512), 202, 10, 1))
            world.spawnObj(MapObj(Tile(3100, 3509), 18258, 10, 2))
            world.spawnObj(MapObj(Tile(3100, 3508), 202, 10, 1))
            world.spawnObj(MapObj(Tile(3092, 3507), 12309, 10, 2))
            world.spawnObj(MapObj(Tile(3091, 3507), 30816, 10, 0))
            world.spawnObj(MapObj(Tile(3092, 3513), 4483, 10, 2))
            world.spawnObj(MapObj(Tile(3091, 3513), 30816, 10, 1))
            world.spawnObj(MapObj(Tile(3105, 3496), 1902, 2, 3))
            world.spawnObj(MapObj(Tile(3105, 3501), 1902, 2, 0))
            world.spawnObj(MapObj(Tile(3107, 3501), 1902, 0, 1))
            world.spawnObj(MapObj(Tile(3108, 3501), 1902, 0, 1))
            world.spawnObj(MapObj(Tile(3109, 3501), 1902, 0, 1))
            world.spawnObj(MapObj(Tile(3106, 3496), 1902, 0, 3))
            world.spawnObj(MapObj(Tile(3106, 3501), 1902, 0, 1))
            world.spawnObj(MapObj(Tile(3107, 3496), 1902, 0, 3))
            world.spawnObj(MapObj(Tile(3108, 3496), 1902, 0, 3))
            world.spawnObj(MapObj(Tile(3109, 3496), 1902, 0, 3))
            world.spawnObj(MapObj(Tile(3110, 3496), 1902, 2, 2))
            world.spawnObj(MapObj(Tile(3110, 3497), 1902, 0, 2))
            world.spawnObj(MapObj(Tile(3107, 3496), 14986, 10, 2))
            world.spawnObj(MapObj(Tile(3107, 3501), 12120, 10, 2))
            world.spawnObj(MapObj(Tile(3110, 3498), 1902, 0, 2))
            world.spawnObj(MapObj(Tile(3110, 3499), 1902, 0, 2))
            world.spawnObj(MapObj(Tile(3110, 3500), 1902, 0, 2))
            world.spawnObj(MapObj(Tile(3110, 3501), 1902, 2, 1))
            world.spawnObj(MapObj(Tile(3105, 3500), 11508, 0, 0))
            world.spawnObj(MapObj(Tile(3105, 3497), 11509, 0, 0))
            spawnRedCarpet(world, 3105, 3497, 3110, 3500)
            world.spawnObj(MapObj(Tile(3110, 3449), 84, 0, 2))
            world.spawnObj(MapObj(Tile(3110, 3449), 26209, 10, 0))
            world.spawnObj(MapObj(Tile(3110, 3449), 26274, 10, 3))
            world.spawnObj(MapObj(Tile(3110, 3449), 26275, 22, 3))
            spawnRedCarpet(world, 3078, 3509, 3084, 3511)
            spawnRedCarpet(world, 3091, 3509, 3099, 3511)
            world.spawnObj(MapObj(Tile(3092, 3506), 14845, 10, 0))
            world.spawnObj(MapObj(Tile(3090, 3499), 23709, 10, 3))
            world.spawnObj(MapObj(Tile(3083, 3507), 29165, 10, 3))

            world.spawnObj(MapObj(Tile(3082, 3487), 979, 0, 1)) //wall
            world.spawnObj(MapObj(Tile(3083, 3487), 979, 3, 0)) //wall
            world.spawnObj(MapObj(Tile(3081, 3487), 979, 0, 1)) //wall
            world.spawnObj(MapObj(Tile(3080, 3487), 979, 0, 1)) //wall
            world.spawnObj(MapObj(Tile(3079, 3487), 979, 0, 1)) //wall
            world.spawnObj(MapObj(Tile(3078, 3487), 979, 0, 1)) //wall
            world.spawnObj(MapObj(Tile(3077, 3487), 979, 0, 1)) //wall

            world.spawnObj(MapObj(Tile(3076, 3498), 979, 0, 3)) //wall
            world.spawnObj(MapObj(Tile(3077, 3498), 979, 0, 3)) //wall
            world.spawnObj(MapObj(Tile(3078, 3498), 979, 0, 3)) //wall
            world.spawnObj(MapObj(Tile(3079, 3498), 979, 0, 3)) //wall
            world.spawnObj(MapObj(Tile(3080, 3498), 979, 0, 3)) //wall
            world.spawnObj(MapObj(Tile(3081, 3498), 979, 0, 3)) //wall
            world.spawnObj(MapObj(Tile(3082, 3498), 979, 0, 3)) //wall
            world.spawnObj(MapObj(Tile(3083, 3498), 979, 3, 3)) //wall
            world.spawnObj(MapObj(Tile(3083, 3489), 5568, 0, 0)) //wall
            world.spawnObj(MapObj(Tile(3083, 3496), 5567, 0, 0)) //wall
            world.spawnObj(MapObj(Tile(3083, 3495), 31846, 10, 1)) //noticeboard
            //edgeville house west of bank (PVP)
            world.spawnObj(MapObj(Tile(3079, 3492), 738, 22, 0)) //minigame icon
            world.spawnObj(MapObj(Tile(3076, 3488), 6415, 10, 0)) //torch
            world.spawnObj(MapObj(Tile(3076, 3497), 6415, 10, 0)) //torch
            world.spawnObj(MapObj(Tile(3082, 3488), 6415, 10, 0)) //torch
            world.spawnObj(MapObj(Tile(3082, 3497), 6415, 10, 0)) //torch
            world.spawnObj(MapObj(Tile(3083, 3490), 26747, 10, 0)) //viewer
            world.spawnObj(MapObj(Tile(3082, 3493), 6882, 10, 0)) //crushed spears
            world.spawnObj(MapObj(Tile(3082, 3492), 6882, 10, 0)) //crushed spears
            world.spawnObj(MapObj(Tile(3083, 3494), 29065, 22, 0)) //Coffer
            world.spawnObj(MapObj(Tile(3083, 3494), 29087, 10, 3)) //Coffer
            for (x in 3077..3081) {
                world.spawnObj(MapObj(Tile(x, 3497), 5860, 10, 3)) //spears (north)
                world.spawnObj(MapObj(Tile(x, 3488), 5860, 10, 1)) //spears (south)
            }
            for (y in 3489..3496) {
                world.spawnObj(MapObj(Tile(3076, y), 5860, 10, 2)) //spears (west)
            }
            for (y in 3489..3496) {
                if(y != 3492 && y != 3493)
                world.spawnObj(MapObj(Tile(3082, y), 5860, 10, 0)) //spears (east)
            }
            world.spawnObj(MapObj(Tile(3099, 3506), 28925, 10, 0)) //Fun PVP portal
            removeClipping(world)
        }
    }

    private fun spawnRedCarpet(world: World, swX: Int, swY: Int, neX: Int, neY: Int) {
        for (x in swX..neX) {
            for (y in swY..neY) {
                when (x) {
                    swX -> when (y) {
                        swY -> world.spawnObj(MapObj(Tile(x, y), 6812, 22, 3), false)
                        neY -> world.spawnObj(MapObj(Tile(x, y), 6812, 22, 0), false)
                        else -> world.spawnObj(MapObj(Tile(x, y), 6813, 22, 3), false)
                    }
                    neX -> when (y) {
                        swY -> world.spawnObj(MapObj(Tile(x, y), 6812, 22, 2), false)
                        neY -> world.spawnObj(MapObj(Tile(x, y), 6812, 22, 1), false)
                        else -> world.spawnObj(MapObj(Tile(x, y), 6813, 22, 1), false)
                    }
                    else -> when (y) {
                        swY -> world.spawnObj(MapObj(Tile(x, y), 6813, 22, 2), false)
                        neY -> world.spawnObj(MapObj(Tile(x, y), 6813, 22, 0), false)
                        else -> world.spawnObj(MapObj(Tile(x, y), 6814, 22, 0), false)
                    }
                }
            }
        }
    }

    private fun removeClipping(world: World) {
        val mapDefinition = world.definitions().get(MapDefinition::class.java, Tile(3092, 3511).region()) ?: return

        mapDefinition.removeFloor(0, 3083 and 63, 3493 and 63)
        mapDefinition.removeFloor(0, 3083 and 63, 3492 and 63)
        mapDefinition.removeFloor(0, 3081 and 63, 3501 and 63)
        mapDefinition.removeFloor(0, 3082 and 63, 3501 and 63)
        mapDefinition.removeFloor(0, 3082 and 63, 3500 and 63)
        mapDefinition.removeFloor(0, 3082 and 63, 3499 and 63)
        mapDefinition.removeFloor(0, 3082 and 63, 3498 and 63)
        mapDefinition.removeFloor(0, 3083 and 63, 3498 and 63)
        mapDefinition.removeFloor(0, 3078 and 63, 3487 and 63)
        mapDefinition.removeFloor(0, 3077 and 63, 3487 and 63)
        mapDefinition.removeFloor(0, 3076 and 63, 3498 and 63)
        mapDefinition.removeFloor(0, 3076 and 63, 3499 and 63)
        mapDefinition.removeFloor(0, 3076 and 63, 3500 and 63)
        mapDefinition.removeFloor(0, 3076 and 63, 3501 and 63)
        mapDefinition.removeFloor(0, 3077 and 63, 3501 and 63)
        mapDefinition.removeFloor(0, 3078 and 63, 3501 and 63)
        mapDefinition.removeFloor(0, 3083 and 63, 3492 and 63)
        mapDefinition.removeFloor(0, 3083 and 63, 3493 and 63)
        mapDefinition.removeFloor(0, 3083 and 63, 3494 and 63)
        mapDefinition.removeFloor(0, 3083 and 63, 3491 and 63)
        mapDefinition.removeFloor(0, 3083 and 63, 3490 and 63)
        mapDefinition.removeFloor(0, 3083 and 63, 3495 and 63)
    }
}
